Federal contract award

140R2022C0015

NEW MELONES GENERATOR REWIND

Research the contractorView USAspending sourceSave to my pursuit research

Award details

Obligations, current value and potential value describe different measures; they are never added together.

FieldReported value
AgencyDepartment of the Interior
OfficeMP-REGIONAL OFFICE
NAICS237990 — Other Heavy and Civil Engineering Construction
PSCZ2MD — REPAIR OR ALTERATION OF EPG FACILITIES - HYDRO
Parent award / vehicleNot reported
Set-asideNO SET ASIDE USED.
Pricing typeFIRM FIXED PRICE
Obligations$30.5M
Current contract value$30.5M
Potential contract value / ceiling$30.5M
Start dateAug 26, 2022
Current end dateMay 31, 2026
Potential end dateMay 31, 2026
Latest award activityMay 18, 2026
Source loadedSep 19, 2026

Funding and modification history

Showing the latest 23 of 23 loaded transactions. Negative values are deobligations.

DateModificationObligation changeDescription
May 18, 2026P00022$24.9KFULL AND EQUITABLE ADJUSTMENT FOR RFC 126 - STATOR CORE LOOP TEST REPAIR AND RFC 133 - U2 TURBINE GUIDE BEARING, DOWEL HOLES & RTD HOLE AND INCORPORATE REVISED COR LETTER.
Mar 18, 2026P00021$0THE PURPOSE OF THIS MODIFICATION IS TO EXTEND THE CONTRACT PERIOD OF PERFORMANCE IN THE FINANCIAL BUSINESS MANAGEMENT SYSTEM (FBMS).
Mar 17, 2026P00020$7.2KTHE PURPOSE OF THIS MODIFICATION IS TO DEFINITIZE UNILATERAL MODIFICATION NUMBER P00011 AND UNILATERAL MODIFICATION NUMBER P00015.
Mar 11, 2026P00019$11.4KTHIS MODIFICATION IS TO PROVIDE FULL AND EQUITABLE ADJUSTMENT FOR THE WORK ASSOCIATED WITH RFC 131 - U2 BRAKE & JACK SWAGELOK FITTINGS AND RFC-132 U2 GENERATOR SHAFT FLANGE CLEANING AND EXTEND THE POP
Jan 27, 2026P00018$0THE PURPOSE OF THIS MODIFICATION IS TO EXTEND THE CONTRACT PERIOD OF PERFORMANCE IN THE FINANCIAL BUSINESS MANAGEMENT SYSTEM (FBMS).
Dec 9, 2025P00017$6.6KTHE PURPOSE OF THIS MODIFICATION IS TO PROVIDE FULL AND EQUITABLE ADJUSTMENT FOR THE TARIFF IMPACT-RELATED COSTS ON THE PUMP INSTALLATION SUPPORT KIT.
Sep 3, 2025P00016$188.6KTHE PURPOSE OF THIS MODIFICATION IS TO PROVIDE FULL AND EQUITABLE ADJUSTMENT FOR THE WORK ASSOCIATED WITH ROTOR SPIDER CRACK WELD REPAIRS AND EXTEND THE CONTRACT POP.
May 7, 2025P00015$40.0KTHE PURPOSE OF THIS MODIFICATION IS TO PROVIDE DIRECTION TO MOVE FORWARD WITH TROUBLESHOOTING AND REPAIRING NEW MELONES POWERPLANT'S DOWNSTREAM AUXILIARY HOIST.
May 2, 2025P00014$639.5KTHE PURPOSE OF THIS MODIFICATION IS TO EXECUTE OPTIONAL SCHEDULE D FROM THE BASE CONTRACT.
Apr 3, 2025P00013$247.1KTHE PURPOSE OF THIS MODIFICATION IS TO REFURBISH GENERATOR SPARES
Feb 20, 2025P00012$0THE PURPOSE OF THIS MODIFICATION IS TO PROVIDE DIRECTION TO SUSPEND WORK
Nov 19, 2024P00011$40.0KTHE PURPOSE OF THIS MODIFICATION IS TO PROVIDE DIRECTION TO MOVE FORWARD WITH TROUBLESHOOTING AND CORRECTING UNIT 1 CONTROL BREAKER
Jul 17, 2024P00010$11.5MTHIS MODIFICATION SHALL PROVIDE AN INCREMENTAL FUNDING INCREASE TO THE CONTRACT IN THE AMOUNT OF $11,488,564.00 TO FULLY FUND THE CONTRACT.
May 24, 2024P00009$2.5MTHIS MODIFICATION SHALL PROVIDE AN INCREMENTAL FUNDING INCREASE TO THE CONTRACT IN THE AMOUNT OF $2,500,000.00.
Apr 5, 2024P00008$641.9KEXECUTE SCHEDULE C
Mar 25, 2024P00007$-3.5KDESCOPE CHILLER BLOCK FOR BRAZING
Nov 29, 2023P00006$-20.9KDESCOPE CHILLER BLOCK FOR BRAZING
Sep 14, 2023P00005$3.6MINCREASE FUNDING
May 2, 2023P00004$10.7MINCREASE FUNDING
Apr 24, 2023P00003$0INCORPORATE CHANGES IN SPECIFICATIONS.
Dec 20, 2022P00002$0ADJUSTMENT IN UNIT 1 OUTAGE DATES
Sep 21, 2022P00001$0NEW MELONES GENERATOR REWIND
Aug 26, 20220$420.0KNEW MELONES GENERATOR REWIND

Buyer contacts from matching notices

Matched on exact award/solicitation identifier and awarding agency. Source dates describe the notice, not current contact verification.

ContactRolePublished contact methodsEvidenceSource date
Thomas, MatthewContactmthomas@usbr.gov
916-978-5117
SourceJun 21, 2022
Thomas, MatthewContactmthomas@usbr.gov
916-978-5117
SourceJun 10, 2022
Thomas, MatthewContactmthomas@usbr.gov
916-978-5117
SourceJun 3, 2022
Thomas, MatthewContactmthomas@usbr.gov
916-978-5117
SourceMay 20, 2022
Thomas, MatthewContactmthomas@usbr.gov
916-978-5117
SourceMay 10, 2022
Thomas, MatthewContactmthomas@usbr.gov
916-978-5117
SourceMay 9, 2022
Thomas, MatthewContactmthomas@usbr.gov
916-978-5117
SourceApr 28, 2022
Thomas, MatthewContactmthomas@usbr.gov
916-978-5117
SourceApr 21, 2022
Thomas, MatthewContactmthomas@usbr.gov
916-978-5117
SourceApr 18, 2022
Thomas, MatthewContactmthomas@usbr.gov
916-978-5117
SourceApr 4, 2022
Thomas, MatthewContactmthomas@usbr.gov
916-978-5117
SourceJan 24, 2022

Research next steps

  1. Check the stated set-aside against the solicitation and current certifications.
  2. Review the award scope and buyer evidence before making a bid/no-bid decision.